## org.apache.poi.hdgf
Class HDGFDiagram

    java.lang.Object
      org.apache.poi.POIDocument
          org.apache.poi.hdgf.HDGFDiagram

    public final class HDGFDiagram

extends POIDocument

See http://www.redferni.uklinux.net/visio/ http://www.gnome.ru/projects/docs/vsdocs.html http://www.gnome.ru/projects/docs/slide1.png http://www.gnome.ru/projects/docs/slide2.png

Field Summary

Fields inherited from class org.apache.poi.POIDocument
`directory`

Constructor Summary
`HDGFDiagram(DirectoryNode dir)`
`HDGFDiagram(DirectoryNode dir, POIFSFileSystem fs)` Deprecated. Use `HDGFDiagram(DirectoryNode)` instead
`HDGFDiagram(NPOIFSFileSystem fs)`
`HDGFDiagram(POIFSFileSystem fs)`

Method Summary
`void` `debug()` Prints out some simple debug on the base contents of the file.
`long` `getDocumentSize()`
`Stream[]` `getTopLevelStreams()` Returns all the top level streams, which are the streams pointed to by the TrailerStream.
`TrailerStream` `getTrailerStream()` Returns the TrailerStream, which is at the root of the tree of Streams.
`static void` `main(java.lang.String[] args)` For testing only
`void` `write(java.io.OutputStream out)` Writes the document out to the specified output stream

Methods inherited from class org.apache.poi.POIDocument
`copyNodeRecursively, copyNodes, copyNodes, createInformationProperties, getDocumentSummaryInformation, getPropertySet, getSummaryInformation, readProperties, writeProperties, writeProperties, writePropertySet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HDGFDiagram

    public HDGFDiagram(POIFSFileSystem fs)
                throws java.io.IOException

Throws:
  `java.io.IOException`

### HDGFDiagram

    public HDGFDiagram(NPOIFSFileSystem fs)
                throws java.io.IOException

Throws:
  `java.io.IOException`

### HDGFDiagram

    @Deprecated
    public HDGFDiagram(DirectoryNode dir,
                                  POIFSFileSystem fs)
                throws java.io.IOException

  Deprecated. Use `HDGFDiagram(DirectoryNode)` instead

  Throws:
    `java.io.IOException`

### HDGFDiagram

    public HDGFDiagram(DirectoryNode dir)
                throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getTrailerStream

    public TrailerStream getTrailerStream()

  Returns the TrailerStream, which is at the root of the tree of Streams.

### getTopLevelStreams

    public Stream[] getTopLevelStreams()

  Returns all the top level streams, which are the streams pointed to by the TrailerStream.

### getDocumentSize

    public long getDocumentSize()

### debug

    public void debug()

  Prints out some simple debug on the base contents of the file.

  See Also:
    `VSDDumper`

### write

    public void write(java.io.OutputStream out)

  Description copied from class: `POIDocument`
  Writes the document out to the specified output stream

  Specified by:
    `write` in class `POIDocument`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  For testing only

  Throws:
    `java.lang.Exception`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.